<html>
  <head>
    <meta name="viewport" content="width=device-width, initial-scale=1" charset="UTF-8">
    <title>UserUI</title>
<link href="../../../images/logo-icon.svg" rel="icon" type="image/svg"><script>var pathToRoot = "../../../";</script>    <script>const storage = localStorage.getItem("dokka-dark-mode")
const savedDarkMode = storage ? JSON.parse(storage) : false
if(savedDarkMode === true){
    document.getElementsByTagName("html")[0].classList.add("theme-dark")
}</script>
<script type="text/javascript" src="../../../scripts/sourceset_dependencies.js" async="async"></script><link href="../../../styles/style.css" rel="Stylesheet"><link href="../../../styles/jetbrains-mono.css" rel="Stylesheet"><link href="../../../styles/main.css" rel="Stylesheet"><link href="../../../styles/prism.css" rel="Stylesheet"><link href="../../../styles/logo-styles.css" rel="Stylesheet"><script type="text/javascript" src="../../../scripts/clipboard.js" async="async"></script><script type="text/javascript" src="../../../scripts/navigation-loader.js" async="async"></script><script type="text/javascript" src="../../../scripts/platform-content-handler.js" async="async"></script><script type="text/javascript" src="../../../scripts/main.js" defer="defer"></script><script type="text/javascript" src="../../../scripts/prism.js" async="async"></script>  </head>
  <body>
    <div class="navigation-wrapper" id="navigation-wrapper">
      <div id="leftToggler"><span class="icon-toggler"></span></div>
      <div class="library-name"><a href="../../../index.html">projecte-uf2-MejiasFrancisco-MedinaOmayra</a></div>
      <div>1.0-SNAPSHOT</div>
      <div class="pull-right d-flex"><button id="theme-toggle-button"><span id="theme-toggle"></span></button>
        <div id="searchBar"></div>
      </div>
    </div>
    <div id="container">
      <div id="leftColumn">
        <div id="sideMenu"></div>
      </div>
      <div id="main">
        <div class="main-content" id="content" pageIds="projecte-uf2-MejiasFrancisco-MedinaOmayra::cat.itb.franciscomejias7e5.dam.m03.uf2.filmitb.ui/UserUI///PointingToDeclaration//769193423">
          <div class="breadcrumbs"><a href="../../../index.html">projecte-uf2-MejiasFrancisco-MedinaOmayra</a>/<a href="../index.html">cat.itb.franciscomejias7e5.dam.m03.uf2.filmitb.ui</a>/<a href="index.html">UserUI</a></div>
          <div class="cover ">
            <h1 class="cover"><span>User</span><wbr></wbr><span><span>UI</span></span></h1>
            <div class="platform-hinted " data-platform-hinted="data-platform-hinted"><div class="content sourceset-depenent-content" data-active="" data-togglable=":dokkaHtml/main"><div class="symbol monospace"><span class="token keyword">data </span><span class="token keyword">class </span><a href="index.html">UserUI</a><span class="token punctuation">(</span>scanner<span class="token operator">: </span><a href="https://docs.oracle.com/javase/8/docs/api/java/util/Scanner.html">Scanner</a><span class="token punctuation">, </span>filmItb<span class="token operator">: </span><a href="../../cat.itb.franciscomejias7e5.dam.m03.uf2.filmitb.model/-film-itb/index.html">FilmItb</a><span class="token punctuation">, </span>appState<span class="token operator">: </span><a href="../-app-state/index.html">AppState</a><span class="token punctuation">)</span><span class="top-right-position"><span class="copy-icon"></span><div class="copy-popup-wrapper popup-to-left"><span class="copy-popup-icon"></span><span>Content copied to clipboard</span></div></span></div></div></div>
          </div>
          <div class="tabbedcontent">
            <div class="tabs-section" tabs-section="tabs-section"><button class="section-tab" data-active="" data-togglable="Functions">Functions</button><button class="section-tab" data-togglable="Properties">Properties</button></div>
            <div class="tabs-section-body">
              <h2 class="">Functions</h2>
              <div class="table" data-togglable="Functions"><a data-name="-2030882549%2FFunctions%2F769193423" anchor-label="addUser" id="-2030882549%2FFunctions%2F769193423" data-filterable-set=":dokkaHtml/main"></a>
                <div class="table-row" data-filterable-current=":dokkaHtml/main" data-filterable-set=":dokkaHtml/main">
                  <div class="main-subrow keyValue ">
                    <div class=""><span class="inline-flex">
                        <div><a href="add-user.html"><span>add</span><wbr></wbr><span><span>User</span></span></a></div>
<span class="anchor-wrapper"><span class="anchor-icon" pointing-to="-2030882549%2FFunctions%2F769193423"></span>
                          <div class="copy-popup-wrapper "><span class="copy-popup-icon"></span><span>Link copied to clipboard</span></div>
                        </span></span></div>
                    <div>
                      <div class="title">
                        <div class="platform-hinted " data-platform-hinted="data-platform-hinted"><div class="content sourceset-depenent-content" data-active="" data-togglable=":dokkaHtml/main"><div class="symbol monospace"><span class="token keyword"></span><span class="token keyword">fun </span><a href="add-user.html"><span class="token function">addUser</span></a><span class="token punctuation">(</span><span class="token punctuation">)</span><span class="top-right-position"><span class="copy-icon"></span><div class="copy-popup-wrapper popup-to-left"><span class="copy-popup-icon"></span><span>Content copied to clipboard</span></div></span></div></div></div>
                      </div>
                    </div>
                  </div>
                </div>
<a data-name="757771880%2FFunctions%2F769193423" anchor-label="changeUser" id="757771880%2FFunctions%2F769193423" data-filterable-set=":dokkaHtml/main"></a>
                <div class="table-row" data-filterable-current=":dokkaHtml/main" data-filterable-set=":dokkaHtml/main">
                  <div class="main-subrow keyValue ">
                    <div class=""><span class="inline-flex">
                        <div><a href="change-user.html"><span>change</span><wbr></wbr><span><span>User</span></span></a></div>
<span class="anchor-wrapper"><span class="anchor-icon" pointing-to="757771880%2FFunctions%2F769193423"></span>
                          <div class="copy-popup-wrapper "><span class="copy-popup-icon"></span><span>Link copied to clipboard</span></div>
                        </span></span></div>
                    <div>
                      <div class="title">
                        <div class="platform-hinted " data-platform-hinted="data-platform-hinted"><div class="content sourceset-depenent-content" data-active="" data-togglable=":dokkaHtml/main"><div class="symbol monospace"><span class="token keyword"></span><span class="token keyword">fun </span><a href="change-user.html"><span class="token function">changeUser</span></a><span class="token punctuation">(</span><span class="token punctuation">)</span><span class="top-right-position"><span class="copy-icon"></span><div class="copy-popup-wrapper popup-to-left"><span class="copy-popup-icon"></span><span>Content copied to clipboard</span></div></span></div></div></div>
                      </div>
                    </div>
                  </div>
                </div>
<a data-name="-1844211609%2FFunctions%2F769193423" anchor-label="firstAddUser" id="-1844211609%2FFunctions%2F769193423" data-filterable-set=":dokkaHtml/main"></a>
                <div class="table-row" data-filterable-current=":dokkaHtml/main" data-filterable-set=":dokkaHtml/main">
                  <div class="main-subrow keyValue ">
                    <div class=""><span class="inline-flex">
                        <div><a href="first-add-user.html"><span>first</span><wbr></wbr><span>Add</span><wbr></wbr><span><span>User</span></span></a></div>
<span class="anchor-wrapper"><span class="anchor-icon" pointing-to="-1844211609%2FFunctions%2F769193423"></span>
                          <div class="copy-popup-wrapper "><span class="copy-popup-icon"></span><span>Link copied to clipboard</span></div>
                        </span></span></div>
                    <div>
                      <div class="title">
                        <div class="platform-hinted " data-platform-hinted="data-platform-hinted"><div class="content sourceset-depenent-content" data-active="" data-togglable=":dokkaHtml/main"><div class="symbol monospace"><span class="token keyword"></span><span class="token keyword">fun </span><a href="first-add-user.html"><span class="token function">firstAddUser</span></a><span class="token punctuation">(</span><span class="token punctuation">)</span><span class="top-right-position"><span class="copy-icon"></span><div class="copy-popup-wrapper popup-to-left"><span class="copy-popup-icon"></span><span>Content copied to clipboard</span></div></span></div></div></div>
                      </div>
                    </div>
                  </div>
                </div>
<a data-name="611281428%2FFunctions%2F769193423" anchor-label="removeUser" id="611281428%2FFunctions%2F769193423" data-filterable-set=":dokkaHtml/main"></a>
                <div class="table-row" data-filterable-current=":dokkaHtml/main" data-filterable-set=":dokkaHtml/main">
                  <div class="main-subrow keyValue ">
                    <div class=""><span class="inline-flex">
                        <div><a href="remove-user.html"><span>remove</span><wbr></wbr><span><span>User</span></span></a></div>
<span class="anchor-wrapper"><span class="anchor-icon" pointing-to="611281428%2FFunctions%2F769193423"></span>
                          <div class="copy-popup-wrapper "><span class="copy-popup-icon"></span><span>Link copied to clipboard</span></div>
                        </span></span></div>
                    <div>
                      <div class="title">
                        <div class="platform-hinted " data-platform-hinted="data-platform-hinted"><div class="content sourceset-depenent-content" data-active="" data-togglable=":dokkaHtml/main"><div class="symbol monospace"><span class="token keyword"></span><span class="token keyword">fun </span><a href="remove-user.html"><span class="token function">removeUser</span></a><span class="token punctuation">(</span><span class="token punctuation">)</span><span class="top-right-position"><span class="copy-icon"></span><div class="copy-popup-wrapper popup-to-left"><span class="copy-popup-icon"></span><span>Content copied to clipboard</span></div></span></div></div></div>
                      </div>
                    </div>
                  </div>
                </div>
<a data-name="790992336%2FFunctions%2F769193423" anchor-label="showCurrentUser" id="790992336%2FFunctions%2F769193423" data-filterable-set=":dokkaHtml/main"></a>
                <div class="table-row" data-filterable-current=":dokkaHtml/main" data-filterable-set=":dokkaHtml/main">
                  <div class="main-subrow keyValue ">
                    <div class=""><span class="inline-flex">
                        <div><a href="show-current-user.html"><span>show</span><wbr></wbr><span>Current</span><wbr></wbr><span><span>User</span></span></a></div>
<span class="anchor-wrapper"><span class="anchor-icon" pointing-to="790992336%2FFunctions%2F769193423"></span>
                          <div class="copy-popup-wrapper "><span class="copy-popup-icon"></span><span>Link copied to clipboard</span></div>
                        </span></span></div>
                    <div>
                      <div class="title">
                        <div class="platform-hinted " data-platform-hinted="data-platform-hinted"><div class="content sourceset-depenent-content" data-active="" data-togglable=":dokkaHtml/main"><div class="symbol monospace"><span class="token keyword"></span><span class="token keyword">fun </span><a href="show-current-user.html"><span class="token function">showCurrentUser</span></a><span class="token punctuation">(</span><span class="token punctuation">)</span><span class="top-right-position"><span class="copy-icon"></span><div class="copy-popup-wrapper popup-to-left"><span class="copy-popup-icon"></span><span>Content copied to clipboard</span></div></span></div></div></div>
                      </div>
                    </div>
                  </div>
                </div>
<a data-name="-1135885947%2FFunctions%2F769193423" anchor-label="showMenu" id="-1135885947%2FFunctions%2F769193423" data-filterable-set=":dokkaHtml/main"></a>
                <div class="table-row" data-filterable-current=":dokkaHtml/main" data-filterable-set=":dokkaHtml/main">
                  <div class="main-subrow keyValue ">
                    <div class=""><span class="inline-flex">
                        <div><a href="show-menu.html"><span>show</span><wbr></wbr><span><span>Menu</span></span></a></div>
<span class="anchor-wrapper"><span class="anchor-icon" pointing-to="-1135885947%2FFunctions%2F769193423"></span>
                          <div class="copy-popup-wrapper "><span class="copy-popup-icon"></span><span>Link copied to clipboard</span></div>
                        </span></span></div>
                    <div>
                      <div class="title">
                        <div class="platform-hinted " data-platform-hinted="data-platform-hinted"><div class="content sourceset-depenent-content" data-active="" data-togglable=":dokkaHtml/main"><div class="symbol monospace"><span class="token keyword"></span><span class="token keyword">fun </span><a href="show-menu.html"><span class="token function">showMenu</span></a><span class="token punctuation">(</span>actionExt<span class="token operator">: </span><a href="https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-int/index.html">Int</a><span class="token punctuation">)</span><span class="token operator">: </span><a href="https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-int/index.html">Int</a><span class="top-right-position"><span class="copy-icon"></span><div class="copy-popup-wrapper popup-to-left"><span class="copy-popup-icon"></span><span>Content copied to clipboard</span></div></span></div></div></div>
                      </div>
                    </div>
                  </div>
                </div>
<a data-name="-471522125%2FFunctions%2F769193423" anchor-label="showStadistics" id="-471522125%2FFunctions%2F769193423" data-filterable-set=":dokkaHtml/main"></a>
                <div class="table-row" data-filterable-current=":dokkaHtml/main" data-filterable-set=":dokkaHtml/main">
                  <div class="main-subrow keyValue ">
                    <div class=""><span class="inline-flex">
                        <div><a href="show-stadistics.html"><span>show</span><wbr></wbr><span><span>Stadistics</span></span></a></div>
<span class="anchor-wrapper"><span class="anchor-icon" pointing-to="-471522125%2FFunctions%2F769193423"></span>
                          <div class="copy-popup-wrapper "><span class="copy-popup-icon"></span><span>Link copied to clipboard</span></div>
                        </span></span></div>
                    <div>
                      <div class="title">
                        <div class="platform-hinted " data-platform-hinted="data-platform-hinted"><div class="content sourceset-depenent-content" data-active="" data-togglable=":dokkaHtml/main"><div class="symbol monospace"><span class="token keyword"></span><span class="token keyword">fun </span><a href="show-stadistics.html"><span class="token function">showStadistics</span></a><span class="token punctuation">(</span><span class="token punctuation">)</span><span class="top-right-position"><span class="copy-icon"></span><div class="copy-popup-wrapper popup-to-left"><span class="copy-popup-icon"></span><span>Content copied to clipboard</span></div></span></div></div></div>
                      </div>
                    </div>
                  </div>
                </div>
<a data-name="-518261140%2FFunctions%2F769193423" anchor-label="showUsers" id="-518261140%2FFunctions%2F769193423" data-filterable-set=":dokkaHtml/main"></a>
                <div class="table-row" data-filterable-current=":dokkaHtml/main" data-filterable-set=":dokkaHtml/main">
                  <div class="main-subrow keyValue ">
                    <div class=""><span class="inline-flex">
                        <div><a href="show-users.html"><span>show</span><wbr></wbr><span><span>Users</span></span></a></div>
<span class="anchor-wrapper"><span class="anchor-icon" pointing-to="-518261140%2FFunctions%2F769193423"></span>
                          <div class="copy-popup-wrapper "><span class="copy-popup-icon"></span><span>Link copied to clipboard</span></div>
                        </span></span></div>
                    <div>
                      <div class="title">
                        <div class="platform-hinted " data-platform-hinted="data-platform-hinted"><div class="content sourceset-depenent-content" data-active="" data-togglable=":dokkaHtml/main"><div class="symbol monospace"><span class="token keyword"></span><span class="token keyword">fun </span><a href="show-users.html"><span class="token function">showUsers</span></a><span class="token punctuation">(</span><span class="token punctuation">)</span><span class="top-right-position"><span class="copy-icon"></span><div class="copy-popup-wrapper popup-to-left"><span class="copy-popup-icon"></span><span>Content copied to clipboard</span></div></span></div></div></div>
                      </div>
                    </div>
                  </div>
                </div>
<a data-name="-263427089%2FFunctions%2F769193423" anchor-label="updateUser" id="-263427089%2FFunctions%2F769193423" data-filterable-set=":dokkaHtml/main"></a>
                <div class="table-row" data-filterable-current=":dokkaHtml/main" data-filterable-set=":dokkaHtml/main">
                  <div class="main-subrow keyValue ">
                    <div class=""><span class="inline-flex">
                        <div><a href="update-user.html"><span>update</span><wbr></wbr><span><span>User</span></span></a></div>
<span class="anchor-wrapper"><span class="anchor-icon" pointing-to="-263427089%2FFunctions%2F769193423"></span>
                          <div class="copy-popup-wrapper "><span class="copy-popup-icon"></span><span>Link copied to clipboard</span></div>
                        </span></span></div>
                    <div>
                      <div class="title">
                        <div class="platform-hinted " data-platform-hinted="data-platform-hinted"><div class="content sourceset-depenent-content" data-active="" data-togglable=":dokkaHtml/main"><div class="symbol monospace"><span class="token keyword"></span><span class="token keyword">fun </span><a href="update-user.html"><span class="token function">updateUser</span></a><span class="token punctuation">(</span><span class="token punctuation">)</span><span class="top-right-position"><span class="copy-icon"></span><div class="copy-popup-wrapper popup-to-left"><span class="copy-popup-icon"></span><span>Content copied to clipboard</span></div></span></div></div></div>
                      </div>
                    </div>
                  </div>
                </div>
              </div>
              <h2 class="">Properties</h2>
              <div class="table" data-togglable="Properties"><a data-name="-814973389%2FProperties%2F769193423" anchor-label="appState" id="-814973389%2FProperties%2F769193423" data-filterable-set=":dokkaHtml/main"></a>
                <div class="table-row" data-filterable-current=":dokkaHtml/main" data-filterable-set=":dokkaHtml/main">
                  <div class="main-subrow keyValue ">
                    <div class=""><span class="inline-flex">
                        <div><a href="app-state.html">appState</a></div>
<span class="anchor-wrapper"><span class="anchor-icon" pointing-to="-814973389%2FProperties%2F769193423"></span>
                          <div class="copy-popup-wrapper "><span class="copy-popup-icon"></span><span>Link copied to clipboard</span></div>
                        </span></span></div>
                    <div>
                      <div class="title">
                        <div class="platform-hinted " data-platform-hinted="data-platform-hinted" data-togglable="Properties"><div class="content sourceset-depenent-content" data-active="" data-togglable=":dokkaHtml/main"><a data-name="-814973389%2FProperties%2F769193423" anchor-label="appState" id="-814973389%2FProperties%2F769193423" data-filterable-set=":dokkaHtml/main"></a><div class="symbol monospace"><span class="token keyword"></span><span class="token keyword">val </span><a href="app-state.html">appState</a><span class="token operator">: </span><a href="../-app-state/index.html">AppState</a><span class="top-right-position"><span class="copy-icon"></span><div class="copy-popup-wrapper popup-to-left"><span class="copy-popup-icon"></span><span>Content copied to clipboard</span></div></span></div></div></div>
                      </div>
                    </div>
                  </div>
                </div>
<a data-name="959624836%2FProperties%2F769193423" anchor-label="filmItb" id="959624836%2FProperties%2F769193423" data-filterable-set=":dokkaHtml/main"></a>
                <div class="table-row" data-filterable-current=":dokkaHtml/main" data-filterable-set=":dokkaHtml/main">
                  <div class="main-subrow keyValue ">
                    <div class=""><span class="inline-flex">
                        <div><a href="film-itb.html">filmItb</a></div>
<span class="anchor-wrapper"><span class="anchor-icon" pointing-to="959624836%2FProperties%2F769193423"></span>
                          <div class="copy-popup-wrapper "><span class="copy-popup-icon"></span><span>Link copied to clipboard</span></div>
                        </span></span></div>
                    <div>
                      <div class="title">
                        <div class="platform-hinted " data-platform-hinted="data-platform-hinted" data-togglable="Properties"><div class="content sourceset-depenent-content" data-active="" data-togglable=":dokkaHtml/main"><a data-name="959624836%2FProperties%2F769193423" anchor-label="filmItb" id="959624836%2FProperties%2F769193423" data-filterable-set=":dokkaHtml/main"></a><div class="symbol monospace"><span class="token keyword"></span><span class="token keyword">val </span><a href="film-itb.html">filmItb</a><span class="token operator">: </span><a href="../../cat.itb.franciscomejias7e5.dam.m03.uf2.filmitb.model/-film-itb/index.html">FilmItb</a><span class="top-right-position"><span class="copy-icon"></span><div class="copy-popup-wrapper popup-to-left"><span class="copy-popup-icon"></span><span>Content copied to clipboard</span></div></span></div></div></div>
                      </div>
                    </div>
                  </div>
                </div>
<a data-name="1478561625%2FProperties%2F769193423" anchor-label="scanner" id="1478561625%2FProperties%2F769193423" data-filterable-set=":dokkaHtml/main"></a>
                <div class="table-row" data-filterable-current=":dokkaHtml/main" data-filterable-set=":dokkaHtml/main">
                  <div class="main-subrow keyValue ">
                    <div class=""><span class="inline-flex">
                        <div><a href="scanner.html">scanner</a></div>
<span class="anchor-wrapper"><span class="anchor-icon" pointing-to="1478561625%2FProperties%2F769193423"></span>
                          <div class="copy-popup-wrapper "><span class="copy-popup-icon"></span><span>Link copied to clipboard</span></div>
                        </span></span></div>
                    <div>
                      <div class="title">
                        <div class="platform-hinted " data-platform-hinted="data-platform-hinted" data-togglable="Properties"><div class="content sourceset-depenent-content" data-active="" data-togglable=":dokkaHtml/main"><a data-name="1478561625%2FProperties%2F769193423" anchor-label="scanner" id="1478561625%2FProperties%2F769193423" data-filterable-set=":dokkaHtml/main"></a><div class="symbol monospace"><span class="token keyword"></span><span class="token keyword">val </span><a href="scanner.html">scanner</a><span class="token operator">: </span><a href="https://docs.oracle.com/javase/8/docs/api/java/util/Scanner.html">Scanner</a><span class="top-right-position"><span class="copy-icon"></span><div class="copy-popup-wrapper popup-to-left"><span class="copy-popup-icon"></span><span>Content copied to clipboard</span></div></span></div></div></div>
                      </div>
                    </div>
                  </div>
                </div>
              </div>
            </div>
          </div>
        </div>
        <div class="footer"><span class="go-to-top-icon"><a href="#content" id="go-to-top-link"></a></span><span>© 2022 Copyright</span><span class="pull-right"><span>Generated by </span><a href="https://github.com/Kotlin/dokka"><span>dokka</span><span class="padded-icon"></span></a></span></div>
      </div>
    </div>
  </body>
</html>

